> ## Documentation Index
> Fetch the complete documentation index at: https://bmpdocs.moneyp.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Consult data in QUOD

Through this endpoint, you will have access to the Rufra database, which gathers unified information on fraud and scam reports. To perform your query, it is mandatory to send the customer's document. In addition, you can include optional information, such as Pix Key, email and cell phone, to obtain more complete results. QUOD uses intelligence in its database and analyzes interoperability data from other institutions, always ensuring an updated and complete return.


## OpenAPI

````yaml post /Bureau/ConsultaFraudeQuodRufra
openapi: 3.0.1
info:
  title: BMPDigitalCore.ApiExterna.Bureau.API
  version: '1.0'
servers:
  - url: https://api.bmpdigital.moneyp.dev.br/
    description: Localhost
security:
  - Bearer: []
paths:
  /Bureau/ConsultaFraudeQuodRufra:
    post:
      tags:
        - BureauSync
      parameters:
        - name: IdempotencyKey
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsultaDocumentoQuodRufraCommand'
          text/json:
            schema:
              $ref: '#/components/schemas/ConsultaDocumentoQuodRufraCommand'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ConsultaDocumentoQuodRufraCommand'
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ConsultaDocumentoQuodRufraResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ConsultaDocumentoQuodRufraResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ConsultaDocumentoQuodRufraResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ConsultaDocumentoQuodRufraResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ConsultaDocumentoQuodRufraResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ConsultaDocumentoQuodRufraResponse'
components:
  schemas:
    ConsultaDocumentoQuodRufraCommand:
      type: object
      properties:
        consulta:
          $ref: '#/components/schemas/QuoRufraConsultarDocumentoRequest'
      additionalProperties: false
    ConsultaDocumentoQuodRufraResponse:
      type: object
      properties:
        msg:
          type: string
          nullable: true
        result:
          type: boolean
          writeOnly: true
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
        hasError:
          type: boolean
        falha:
          type: boolean
        json:
          type: string
          nullable: true
      additionalProperties: false
    QuoRufraConsultarDocumentoRequest:
      type: object
      properties:
        documento:
          type: string
          nullable: true
        chavePix:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        celularUsuario:
          $ref: '#/components/schemas/CelularUsuario'
      additionalProperties: false
    Message:
      type: object
      properties:
        messageType:
          $ref: '#/components/schemas/ErrorType'
        code:
          type: string
          nullable: true
        context:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        field:
          type: string
          nullable: true
      additionalProperties: false
    CelularUsuario:
      type: object
      properties:
        codigoPais:
          type: string
          nullable: true
        ddd:
          type: string
          nullable: true
        numero:
          type: string
          nullable: true
      additionalProperties: false
    ErrorType:
      enum:
        - 1
        - 2
        - 3
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: apiKey
      description: Informe o token
      name: Authorization
      in: header

````